<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->foreignId('audit_company_id')->nullable()->after('id')->constrained()->onDelete('cascade');
        });

        Schema::table('directors', function (Blueprint $table) {
            $table->foreignId('audit_company_id')->nullable()->after('id')->constrained()->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->dropForeign(['audit_company_id']);
            $table->dropColumn('audit_company_id');
        });

        Schema::table('directors', function (Blueprint $table) {
            $table->dropForeign(['audit_company_id']);
            $table->dropColumn('audit_company_id');
        });
    }
};
